% This file was created by tikzplotlib v0.9.3.
\begin{tikzpicture}

\definecolor{color0}{rgb}{0.349019607843137,0.490196078431372,0.749019607843137}
\definecolor{color1}{rgb}{0.852941176470588,0.544117647058824,0.370588235294118}

\begin{axis}[
axis line style={white!15!black},
height=234.0pt,
legend cell align={left},
legend style={fill opacity=0.8, draw opacity=1, text opacity=1, at={(0.97,0.03)}, anchor=south east, draw=white!80!black},
tick align=outside,
tick pos=left,
width=280pt,
x grid style={white!80!black},
xlabel={Relative Latency of the Layer},
xmajorgrids,
xmin=0, xmax=0.516628590078329,
xtick style={color=white!15!black},
xtick={0,0.1,0.2,0.3,0.4,0.5,0.6},
xticklabels={0.0,0.1,0.2,0.3,0.4,0.5,0.6},
y dir=reverse,
y grid style={white!80!black},
ylabel={Layers},
ymin=-0.5, ymax=10.5,
ytick style={color=white!15!black},
ytick={0,1,2,3,4,5,6,7,8,9,10},
yticklabels={0\_QUANTIZE,1\_CONV\_2D,2\_AVERAGE\_POOL\_2D,3\_CONV\_2D,4\_AVERAGE\_POOL\_2D,5\_RESHAPE,6\_FULLY\_CONNECTED,7\_FULLY\_CONNECTED,8\_FULLY\_CONNECTED,9\_SOFTMAX,10\_DEQUANTIZE}
]
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:0.00555112355021458,0);
\addlegendimage{ybar,ybar legend,draw=white,fill=color0,line width=0.32pt};
\addlegendentry{none}

\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:0.396489985675325,1);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,1.6) rectangle (axis cs:0.0193106187406309,2);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,2.6) rectangle (axis cs:0.447779981571091,3);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,3.6) rectangle (axis cs:0.00801756957915125,4);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,4.6) rectangle (axis cs:0.000807072792839501,5);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,5.6) rectangle (axis cs:0.10312012311953,6);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,6.6) rectangle (axis cs:0.015925219482522,7);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,7.6) rectangle (axis cs:0.00165613025698572,8);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,8.6) rectangle (axis cs:0.00116434738512556,9);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,9.6) rectangle (axis cs:0.000177827846584817,10);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,-2.77555756156289e-17) rectangle (axis cs:0.0134823850848917,0.4);
\addlegendimage{ybar,ybar legend,draw=white,fill=color1,line width=0.32pt};
\addlegendentry{cmsis-nn}

\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,1) rectangle (axis cs:0.487786167386359,1.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,2) rectangle (axis cs:0.0607644202885884,2.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,3) rectangle (axis cs:0.310358633837189,3.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,4) rectangle (axis cs:0.0215286801803729,4.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,5) rectangle (axis cs:0.00247762239063316,5.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,6) rectangle (axis cs:0.0794960658974892,6.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,7) rectangle (axis cs:0.017561938881059,7.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,8) rectangle (axis cs:0.00243631040223369,8.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,9) rectangle (axis cs:0.00356340236824948,9.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,10) rectangle (axis cs:0.000544373282934278,10.4);
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00433176517360191 -0.2
0.00712127256636356 -0.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.374525410813676 0.8
0.433096683740441 0.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0150312501432967 1.8
0.0270685427337776 1.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.394901327732688 2.8
0.474861556286178 2.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00622710118810156 3.8
0.0112608712652281 3.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000697389345348529 4.8
0.00100543493439537 4.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0969006644381165 5.8
0.107391622492697 5.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0148631153542218 6.8
0.016751663156954 6.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00151321310167416 7.8
0.00173158238701425 7.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00077800552399207 8.8
0.00137409441034034 8.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000137564827424924 9.8
0.000217844235785664 9.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0116134949555043 0.2
0.0144843174288634 0.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.480168436696907 1.2
0.492027228646028 1.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0557134080786361 2.2
0.0635486551750777 2.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.305592733176822 3.2
0.318463015140725 3.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0196727516071703 4.2
0.0233261446171389 4.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00221858654966411 5.2
0.00291048704214014 5.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.0775985385639533 6.2
0.0814171621651271 6.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.015319402097122 7.2
0.0211729600456371 7.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00218140353486527 8.2
0.00271244267942164 8.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.00308387775954423 9.2
0.00444577308730281 9.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
0.000495773530651198 10.2
0.000592404063453058 10.2
};
\end{axis}

\end{tikzpicture}
